> For the complete documentation index, see [llms.txt](https://docs.uxwizz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uxwizz.com/installation/frequently-asked-questions.md).

# Frequently Asked Questions

## Unique Visitor Tracking

### **Is UXWizz cookie-less?**

> Yes. UXWizz does not store or use cookies.\
> [Read more about Personal Data on user's device here](https://docs.uxwizz.com/about/personal-data-information#cookies-data-stored-on-users-computer)

### Is a visitor uniquely tracked across sessions?

> Not with high accuracy.\
> By default, a hash of the IP and user agent of the user is stored.\
> This can be used to approximately see all sessions of the same user, but it is not always accurate.

### How can I track more accurately a visitor across sessions?

> You can create a unique identifier, store it in localStorage and tag user's sessions using [Tags](/api/tags.md).\
> \
> For example, by adding this snippet:
>
> `UST.addTag('token_' + (localStorage['ust_token'] ||= UST.randomToken()))`\
> \
> This will store a random ID in localStorage and tag each session of this user with this ID.

## Generate custom dashboards

### Can I generate custom graphs/charts using UXWizz?

> No. UXWizz does not come with a chart editor, but your data is stored in a simple MySQL database.\
> You can use any dashboard generation tool that comes with MySQL connection support.\
> For example: [getmotoradmin.com](<https://getmotoradmin.com >)  or [chartbrew.com](https://chartbrew.com/) or any MySQL database viewer.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uxwizz.com/installation/frequently-asked-questions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
